package ru.yandex.autotests.directapi.apiclient.methods;

/**
 * Created with IntelliJ IDEA.
 * User: mariabye
 * Date: 14.11.12
 * Time: 13:37
 * To change this template use File | Settings | File Templates.
 */
public enum Action {
    ADD("Add"),
    GET("Get"),
    SET("Set"),
    UPDATE("Update"),
    FINISH("Finish"),
    DELETE("Delete"),
    GET_LIMITS("GetLimits"),
    UPLOAD_RAW_DATA("UploadRawData"),
    UPLOAD("Upload"),
    CHECK_UPLOAD_STATUS("CheckUploadStatus"),
    INVOICE("Invoice"),
    DEPOSIT("Deposit"),
    DEPOSIT_BY_CARD("DepositByCard"),
    CHECK_PAYMENT("CheckPayment"),
    TRANSFER_MONEY("TransferMoney"),
    RESUME("Resume"),
    SUSPEND("Suspend");

    private String action;

    private Action(String action) {
        this.action = action;
    }

    public String getAction() {
        return action;
    }

    @Override
    public String toString() {
        return getAction();
    }

}
